com.jogamp.gluegen

## Class CodeGenUtils

- java.lang.Object
- - com.jogamp.gluegen.CodeGenUtils

-     public class CodeGenUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CodeGenUtils.EmissionCallback` A class that emits source code of some time when activated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeGenUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `emitAutogeneratedWarning(PrintWriter w, Object generator)`
    `static void` | `emitJavaHeaders(PrintWriter w, String packageName, String className, boolean isClassNotInterface, List<String> imports, String[] accessModifiers, String[] interfaces, String classExtended, CodeGenUtils.EmissionCallback classDocComment)` Emit the opening headers for one java class/interface file.
    `static String` | `packageAsPath(String packageName)` Given a java package name (e.g., "java.lang"), return the package as a directory path (i.e., "java/lang").

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeGenUtils

          public CodeGenUtils()

  - ### Method Detail

    - #### packageAsPath

          public static String packageAsPath(String packageName)

      Given a java package name (e.g., "java.lang"), return the package as a directory path (i.e., "java/lang").

    - #### emitAutogeneratedWarning

          public static void emitAutogeneratedWarning(PrintWriter w,
                                      Object generator)

      Parameters:
        `generator` - the object that is emitting the autogenerated code. If null, the generator will not be mentioned in the warning message.

    - #### emitJavaHeaders

          public static void emitJavaHeaders(PrintWriter w,
                             String packageName,
                             String className,
                             boolean isClassNotInterface,
                             List<String> imports,
                             String[] accessModifiers,
                             String[] interfaces,
                             String classExtended,
                             CodeGenUtils.EmissionCallback classDocComment)
                                      throws IOException

      Emit the opening headers for one java class/interface file.
      Throws:
        `IOException`